RDKit: RDKit::ReactionFingerprintParams Struct Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
RDKit::ReactionFingerprintParams Struct Reference

`#include <ReactionFingerprints.h>`

## Public Member Functions
| ReactionFingerprintParams ()
| ReactionFingerprintParams (bool includeAgents, double bitRatioAgents, unsigned int nonAgentWeight, int agentWeight, unsigned int fpSize, FingerprintType fpType)

## Public Attributes
bool | includeAgents {false}
double | bitRatioAgents {0.2}
unsigned int | nonAgentWeight {10}
int | agentWeight {1}
unsigned int | fpSize {2048}
FingerprintType | fpType {FingerprintType::AtomPairFP}

## Detailed Description

A struct for storing parameters to manipulate the calculation of fingerprints of chemical reactions

Different parameters can be chosen to influence the generation of chemical reaction fingerprints. Generally different setting should be used for structural or difference fingerprints.

Parameters

  includeAgents | include the agents of a reaction for fingerprint generation
  bitRatioAgents | in structural fingerprints it determines the ratio of bits of the agents in the fingerprint
  nonAgentWeight | in difference fingerprints weight factor for reactants and products compared to agents
  agentWeight | if agents are included, agents could be weighted compared to reactants and products in difference fingerprints
  fpSize | number of bits of the fingerprint
  fpType | kind of fingerprint used, e.g AtompairFP. Be aware that only AtompairFP, TopologicalTorsion and MorganFP were supported in the difference fingerprint.

Definition at line 75 of file ReactionFingerprints.h.

## Constructor & Destructor Documentation

## ◆ ReactionFingerprintParams() [1/2]

RDKit::ReactionFingerprintParams::ReactionFingerprintParams | ( |  | ) |
| inline

Definition at line 76 of file ReactionFingerprints.h.

## ◆ ReactionFingerprintParams() [2/2]

RDKit::ReactionFingerprintParams::ReactionFingerprintParams | ( | bool | includeAgents,
|  | double | bitRatioAgents,
|  | unsigned int | nonAgentWeight,
|  | int | agentWeight,
|  | unsigned int | fpSize,
|  | FingerprintType | fpType )
| inline

Definition at line 78 of file ReactionFingerprints.h.

References agentWeight, bitRatioAgents, fpSize, fpType, includeAgents, and nonAgentWeight.

## Member Data Documentation

## ◆ agentWeight

int RDKit::ReactionFingerprintParams::agentWeight {1}

Definition at line 91 of file ReactionFingerprints.h.

Referenced by ReactionFingerprintParams().

## ◆ bitRatioAgents

double RDKit::ReactionFingerprintParams::bitRatioAgents {0.2}

Definition at line 89 of file ReactionFingerprints.h.

Referenced by ReactionFingerprintParams().

## ◆ fpSize

unsigned int RDKit::ReactionFingerprintParams::fpSize {2048}

Definition at line 92 of file ReactionFingerprints.h.

Referenced by ReactionFingerprintParams().

## ◆ fpType

FingerprintType RDKit::ReactionFingerprintParams::fpType {FingerprintType::AtomPairFP}

Definition at line 93 of file ReactionFingerprints.h.

Referenced by ReactionFingerprintParams().

## ◆ includeAgents

bool RDKit::ReactionFingerprintParams::includeAgents {false}

Definition at line 88 of file ReactionFingerprints.h.

Referenced by ReactionFingerprintParams().

## ◆ nonAgentWeight

unsigned int RDKit::ReactionFingerprintParams::nonAgentWeight {10}

Definition at line 90 of file ReactionFingerprints.h.

Referenced by ReactionFingerprintParams().

The documentation for this struct was generated from the following file:

- ReactionFingerprints.h